Bug 35581 - ILL Koha classes are not consistent
Summary: ILL Koha classes are not consistent
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Pedro Amorim
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 19605 35331 36245
Blocks: 35570
  Show dependency treegraph
 
Reported: 2023-12-15 10:20 UTC by Pedro Amorim
Modified: 2024-04-03 15:42 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Large patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 35581: Illbackend.pm -> ILL/Backend.pm (4.72 KB, patch)
2023-12-15 11:03 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbatch.pm -> ILL/Batch.pm (17.06 KB, patch)
2023-12-15 11:03 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbatchstatus.pm -> ILL/Batch/status.pm (19.08 KB, patch)
2023-12-15 11:04 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illcomment.pm -> ILL/Comment.pm (6.85 KB, patch)
2023-12-15 11:04 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illrequestattribute.pm -> ILL/Request/Attribute.pm (8.37 KB, patch)
2023-12-15 11:04 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Workflow.pm -> Koha/ILL/Request/Workflow.pm (11.85 KB, patch)
2023-12-15 11:04 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Config.pm -> Koha/ILL/Request/Config.pm (17.93 KB, patch)
2023-12-15 11:04 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Logger.pm -> Koha/ILL/Request/Logger.pm (9.44 KB, patch)
2023-12-15 11:04 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/SupplierUpdate.pm -> Koha/ILL/Request/SupplierUpdate.pm (5.60 KB, patch)
2023-12-15 11:04 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest.pm -> Koha/ILL/Request.pm (57.93 KB, patch)
2023-12-15 11:04 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: QA Follow-up: (12.15 KB, patch)
2023-12-15 11:04 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbackend.pm -> ILL/Backend.pm (4.77 KB, patch)
2024-01-02 19:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: Illbatch.pm -> ILL/Batch.pm (17.11 KB, patch)
2024-01-02 19:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: Illbatchstatus.pm -> ILL/Batch/status.pm (19.13 KB, patch)
2024-01-02 19:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: Illcomment.pm -> ILL/Comment.pm (6.90 KB, patch)
2024-01-02 19:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: Illrequestattribute.pm -> ILL/Request/Attribute.pm (8.42 KB, patch)
2024-01-02 19:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Workflow.pm -> Koha/ILL/Request/Workflow.pm (11.90 KB, patch)
2024-01-02 19:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Config.pm -> Koha/ILL/Request/Config.pm (17.98 KB, patch)
2024-01-02 19:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Logger.pm -> Koha/ILL/Request/Logger.pm (9.49 KB, patch)
2024-01-02 19:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/SupplierUpdate.pm -> Koha/ILL/Request/SupplierUpdate.pm (5.65 KB, patch)
2024-01-02 19:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest.pm -> Koha/ILL/Request.pm (57.98 KB, patch)
2024-01-02 19:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: QA Follow-up: (12.20 KB, patch)
2024-01-02 19:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 35581: (QA follow-up): Missed Illrequests.pm REST API class (1.76 KB, patch)
2024-01-08 12:06 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: (QA follow-up): Update changes coming from bug 35331 (2.13 KB, patch)
2024-01-08 12:22 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbackend.pm -> ILL/Backend.pm (4.77 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbatch.pm -> ILL/Batch.pm (17.13 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbatchstatus.pm -> ILL/Batch/status.pm (19.15 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illcomment.pm -> ILL/Comment.pm (6.91 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illrequestattribute.pm -> ILL/Request/Attribute.pm (8.43 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Workflow.pm -> Koha/ILL/Request/Workflow.pm (11.90 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Config.pm -> Koha/ILL/Request/Config.pm (18.00 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Logger.pm -> Koha/ILL/Request/Logger.pm (9.50 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/SupplierUpdate.pm -> Koha/ILL/Request/SupplierUpdate.pm (5.66 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest.pm -> Koha/ILL/Request.pm (58.04 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: QA Follow-up: (12.22 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: (QA follow-up): Missed Illrequests.pm REST API class (1.77 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: (QA follow-up): Update changes coming from bug 35331 (2.14 KB, patch)
2024-02-12 12:52 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbackend.pm -> ILL/Backend.pm (4.77 KB, patch)
2024-03-06 10:44 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbatch.pm -> ILL/Batch.pm (17.12 KB, patch)
2024-03-06 10:44 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbatchstatus.pm -> ILL/Batch/status.pm (19.15 KB, patch)
2024-03-06 10:44 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illcomment.pm -> ILL/Comment.pm (6.90 KB, patch)
2024-03-06 10:44 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illrequestattribute.pm -> ILL/Request/Attribute.pm (8.43 KB, patch)
2024-03-06 10:44 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Workflow.pm -> Koha/ILL/Request/Workflow.pm (11.87 KB, patch)
2024-03-06 10:44 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Config.pm -> Koha/ILL/Request/Config.pm (18.00 KB, patch)
2024-03-06 10:44 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Logger.pm -> Koha/ILL/Request/Logger.pm (9.50 KB, patch)
2024-03-06 10:44 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/SupplierUpdate.pm -> Koha/ILL/Request/SupplierUpdate.pm (5.66 KB, patch)
2024-03-06 10:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest.pm -> Koha/ILL/Request.pm (59.20 KB, patch)
2024-03-06 10:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: QA Follow-up: (11.97 KB, patch)
2024-03-06 10:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: (QA follow-up): Missed Illrequests.pm REST API class (1.77 KB, patch)
2024-03-06 10:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: (QA follow-up): Update changes coming from bug 35331 (1.50 KB, patch)
2024-03-06 10:45 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbackend.pm -> ILL/Backend.pm (4.77 KB, patch)
2024-03-07 10:36 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbatch.pm -> ILL/Batch.pm (17.12 KB, patch)
2024-03-07 10:36 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbatchstatus.pm -> ILL/Batch/status.pm (19.15 KB, patch)
2024-03-07 10:36 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illcomment.pm -> ILL/Comment.pm (6.90 KB, patch)
2024-03-07 10:36 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illrequestattribute.pm -> ILL/Request/Attribute.pm (8.43 KB, patch)
2024-03-07 10:36 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Workflow.pm -> Koha/ILL/Request/Workflow.pm (11.87 KB, patch)
2024-03-07 10:36 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Config.pm -> Koha/ILL/Request/Config.pm (18.00 KB, patch)
2024-03-07 10:36 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/Logger.pm -> Koha/ILL/Request/Logger.pm (9.50 KB, patch)
2024-03-07 10:36 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest/SupplierUpdate.pm -> Koha/ILL/Request/SupplierUpdate.pm (5.66 KB, patch)
2024-03-07 10:36 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha/Illrequest.pm -> Koha/ILL/Request.pm (59.19 KB, patch)
2024-03-07 10:37 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: QA Follow-up: (11.97 KB, patch)
2024-03-07 10:37 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: (QA follow-up): Missed Illrequests.pm REST API class (1.77 KB, patch)
2024-03-07 10:37 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: (QA follow-up): Update changes coming from bug 35331 (1.50 KB, patch)
2024-03-07 10:37 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::Illbackend -> Koha::ILL::Backend (7.57 KB, patch)
2024-03-25 13:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::*Illbatch* -> Koha::*ILL::*Batch* (17.79 KB, patch)
2024-03-25 13:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Illbatchstatus* -> ILL::Batch::Status* (19.28 KB, patch)
2024-03-25 13:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::Illcomment* -> Koha::ILL::Comment* (8.24 KB, patch)
2024-03-25 13:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequestattribute* -> Koha::ILL::Request::Attribute* (8.51 KB, patch)
2024-03-25 13:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest::Workflow* -> Koha::ILL::Request::Workflow* (14.86 KB, patch)
2024-03-25 13:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest::Config -> Koha::ILL::Request::Config (17.71 KB, patch)
2024-03-25 13:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest::Logger -> Koha::ILL::Request::Logger (9.49 KB, patch)
2024-03-25 13:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest::SupplierUpdate* -> Koha::ILL::Request::SupplierUpdate* (6.40 KB, patch)
2024-03-25 13:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest -> Koha::ILL::Request (60.88 KB, patch)
2024-03-25 13:32 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::REST::V1::Illrequests -> Koha::REST::V1::ILL::Requests (1.76 KB, patch)
2024-03-25 13:32 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Cleanup Comments.t (3.31 KB, patch)
2024-03-25 13:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: (follow-up) Remove internal use of ->illrequestattributes (1.64 KB, patch)
2024-03-25 13:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: POD fixes (4.66 KB, patch)
2024-03-25 13:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35581: Koha::Illbackend -> Koha::ILL::Backend (7.63 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::*Illbatch* -> Koha::*ILL::*Batch* (17.85 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Illbatchstatus* -> ILL::Batch::Status* (19.33 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::Illcomment* -> Koha::ILL::Comment* (8.30 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequestattribute* -> Koha::ILL::Request::Attribute* (8.57 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest::Workflow* -> Koha::ILL::Request::Workflow* (14.92 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest::Config -> Koha::ILL::Request::Config (17.76 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest::Logger -> Koha::ILL::Request::Logger (9.55 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest::SupplierUpdate* -> Koha::ILL::Request::SupplierUpdate* (6.45 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::Illrequest -> Koha::ILL::Request (60.93 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Koha::REST::V1::Illrequests -> Koha::REST::V1::ILL::Requests (1.81 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: Cleanup Comments.t (3.36 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: (follow-up) Remove internal use of ->illrequestattributes (1.70 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 35581: POD fixes (4.73 KB, patch)
2024-03-28 16:00 UTC, Pedro Amorim
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro Amorim 2023-12-15 10:20:14 UTC

    
Comment 1 Pedro Amorim 2023-12-15 11:03:56 UTC Comment hidden (obsolete)
Comment 2 Pedro Amorim 2023-12-15 11:03:59 UTC Comment hidden (obsolete)
Comment 3 Pedro Amorim 2023-12-15 11:04:03 UTC Comment hidden (obsolete)
Comment 4 Pedro Amorim 2023-12-15 11:04:05 UTC Comment hidden (obsolete)
Comment 5 Pedro Amorim 2023-12-15 11:04:08 UTC Comment hidden (obsolete)
Comment 6 Pedro Amorim 2023-12-15 11:04:13 UTC Comment hidden (obsolete)
Comment 7 Pedro Amorim 2023-12-15 11:04:16 UTC Comment hidden (obsolete)
Comment 8 Pedro Amorim 2023-12-15 11:04:20 UTC Comment hidden (obsolete)
Comment 9 Pedro Amorim 2023-12-15 11:04:23 UTC Comment hidden (obsolete)
Comment 10 Pedro Amorim 2023-12-15 11:04:26 UTC Comment hidden (obsolete)
Comment 11 Pedro Amorim 2023-12-15 11:04:29 UTC Comment hidden (obsolete)
Comment 12 David Nind 2024-01-02 19:10:34 UTC
Created attachment 160422 [details] [review]
Bug 35581: Illbackend.pm -> ILL/Backend.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 13 David Nind 2024-01-02 19:10:37 UTC
Created attachment 160423 [details] [review]
Bug 35581: Illbatch.pm -> ILL/Batch.pm

Illbatches.pm -> ILL/Batches.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 14 David Nind 2024-01-02 19:10:40 UTC
Created attachment 160424 [details] [review]
Bug 35581: Illbatchstatus.pm -> ILL/Batch/status.pm

Illbatchstatuses.pm -> ILL/Batch/Statuses.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 15 David Nind 2024-01-02 19:10:43 UTC
Created attachment 160425 [details] [review]
Bug 35581: Illcomment.pm -> ILL/Comment.pm

Illcomments.pm -> ILL/Comments.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 16 David Nind 2024-01-02 19:10:46 UTC
Created attachment 160426 [details] [review]
Bug 35581: Illrequestattribute.pm -> ILL/Request/Attribute.pm

Illrequestattributes.pm -> ILL/Request/Attributes.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 17 David Nind 2024-01-02 19:10:49 UTC
Created attachment 160427 [details] [review]
Bug 35581: Koha/Illrequest/Workflow.pm -> Koha/ILL/Request/Workflow.pm

Koha/Illrequest/Workflow/Availability.pm -> Koha/ILL/Request/Workflow/Availability.pm
Koha/Illrequest/Workflow/TypeDisclaimer.pm -> Koha/ILL/Request/Workflow/TypeDisclaimer.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 18 David Nind 2024-01-02 19:10:52 UTC
Created attachment 160428 [details] [review]
Bug 35581: Koha/Illrequest/Config.pm -> Koha/ILL/Request/Config.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 19 David Nind 2024-01-02 19:10:55 UTC
Created attachment 160429 [details] [review]
Bug 35581: Koha/Illrequest/Logger.pm -> Koha/ILL/Request/Logger.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 20 David Nind 2024-01-02 19:10:58 UTC
Created attachment 160430 [details] [review]
Bug 35581: Koha/Illrequest/SupplierUpdate.pm -> Koha/ILL/Request/SupplierUpdate.pm

Koha/Illrequest/SupplierUpdateProcessor.pm -> Koha/ILL/Request/SupplierUpdateProcessor.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 21 David Nind 2024-01-02 19:11:02 UTC
Created attachment 160431 [details] [review]
Bug 35581: Koha/Illrequest.pm -> Koha/ILL/Request.pm

Koha/Illrequests.pm -> Koha/ILL/Requests.pm

Merged:
t/db_dependent/Koha/Illrequests.t
t/db_dependent/Illrequests.t

Into:
t/db_dependent/Koha/ILL/Requests.t

ILL classes file structure is, for the most part, around 7 years old and doesn't follow a strict logic. It's so confusing that some test files exist redundantly.

This housekeeping should help future work in regards to ISO18626 to add Koha as a supplying agency instead of just requesting agency, as is now.
It should also help future housekeeping of moving backend related logic out of the Illrequest.pm into Illbackend.pm (now ILL/Request.pm and ILL/Backend.pm as of this patchset).
It should also help in structuring the addition of a master generic form (see bug 35570)

This patchset will require existing backends to be updated to match the new class names and structure, if they invoke them.

Test plan, k-t-d, run tests:
prove t/db_dependent/api/v1/ill_*
prove t/db_dependent/Koha/ILL/*

Test plan, k-t-d, manual:
1) Install FreeForm, enable ILL module, run:
bash <(curl -s https://raw.githubusercontent.com/ammopt/koha-ill-dev/master/start-ill-dev.sh)
2) You'll have to switch the FreeForm repo to the one compatible with this work, like:
cd /kohadevbox/koha/Koha/Illbackends/FreeForm
git checkout reorganize_ILL
3) Do some generic ILL testing:
3.1) Create a request
3.2) Add a comment to a request
3.3) Edit a request
3.4) Edit a request's item metadata
3.5) Confirm a request
3.6) List requests
3.7) Filter requests list using left side filters
4) Install a metadata enrichment plugin:
https://github.com/PTFS-Europe/koha-plugin-api-pubmed
4.1) Create an ILL batch and insert a pubmedid like 123
4.2) Add the request and finish batch
5) Verify all of the above works as expected

Signed-off-by: David Nind <david@davidnind.com>
Comment 22 David Nind 2024-01-02 19:11:05 UTC
Created attachment 160432 [details] [review]
Bug 35581: QA Follow-up:

Fix tidy warnings
Fix forbidden pattern: Incorrect license statement (using postal address)

Signed-off-by: David Nind <david@davidnind.com>
Comment 23 David Nind 2024-01-02 19:17:41 UTC
Testing notes (using KTD):

1. Tests pass.

2. Also tested manually as per the test plan. For the PUBMED plugin, I created a request using these details:
   - Type: Journal article
   - Title: Regeneration of the heart
   - PMID: 22095736 (used when creating the batch)

I'm not so familiar with the workflow for ILL requests, so it may be useful to have someone that is to add their sign off as well.
Comment 24 Pedro Amorim 2024-01-08 12:06:28 UTC Comment hidden (obsolete)
Comment 25 Pedro Amorim 2024-01-08 12:22:25 UTC Comment hidden (obsolete)
Comment 26 Pedro Amorim 2024-02-12 12:52:03 UTC Comment hidden (obsolete)
Comment 27 Pedro Amorim 2024-02-12 12:52:06 UTC Comment hidden (obsolete)
Comment 28 Pedro Amorim 2024-02-12 12:52:09 UTC Comment hidden (obsolete)
Comment 29 Pedro Amorim 2024-02-12 12:52:12 UTC Comment hidden (obsolete)
Comment 30 Pedro Amorim 2024-02-12 12:52:15 UTC Comment hidden (obsolete)
Comment 31 Pedro Amorim 2024-02-12 12:52:18 UTC Comment hidden (obsolete)
Comment 32 Pedro Amorim 2024-02-12 12:52:21 UTC Comment hidden (obsolete)
Comment 33 Pedro Amorim 2024-02-12 12:52:24 UTC Comment hidden (obsolete)
Comment 34 Pedro Amorim 2024-02-12 12:52:26 UTC Comment hidden (obsolete)
Comment 35 Pedro Amorim 2024-02-12 12:52:30 UTC Comment hidden (obsolete)
Comment 36 Pedro Amorim 2024-02-12 12:52:33 UTC Comment hidden (obsolete)
Comment 37 Pedro Amorim 2024-02-12 12:52:35 UTC Comment hidden (obsolete)
Comment 38 Pedro Amorim 2024-02-12 12:52:38 UTC Comment hidden (obsolete)
Comment 39 Pedro Amorim 2024-02-12 12:54:52 UTC
Rebased on bug 34282
Comment 40 Pedro Amorim 2024-03-06 10:44:22 UTC Comment hidden (obsolete)
Comment 41 Pedro Amorim 2024-03-06 10:44:28 UTC Comment hidden (obsolete)
Comment 42 Pedro Amorim 2024-03-06 10:44:32 UTC Comment hidden (obsolete)
Comment 43 Pedro Amorim 2024-03-06 10:44:38 UTC Comment hidden (obsolete)
Comment 44 Pedro Amorim 2024-03-06 10:44:41 UTC Comment hidden (obsolete)
Comment 45 Pedro Amorim 2024-03-06 10:44:47 UTC Comment hidden (obsolete)
Comment 46 Pedro Amorim 2024-03-06 10:44:51 UTC Comment hidden (obsolete)
Comment 47 Pedro Amorim 2024-03-06 10:44:55 UTC Comment hidden (obsolete)
Comment 48 Pedro Amorim 2024-03-06 10:45:03 UTC Comment hidden (obsolete)
Comment 49 Pedro Amorim 2024-03-06 10:45:08 UTC Comment hidden (obsolete)
Comment 50 Pedro Amorim 2024-03-06 10:45:16 UTC Comment hidden (obsolete)
Comment 51 Pedro Amorim 2024-03-06 10:45:20 UTC Comment hidden (obsolete)
Comment 52 Pedro Amorim 2024-03-06 10:45:23 UTC Comment hidden (obsolete)
Comment 53 Pedro Amorim 2024-03-06 10:46:13 UTC
Rebased on bug 34478
Comment 54 Pedro Amorim 2024-03-07 10:36:15 UTC Comment hidden (obsolete)
Comment 55 Pedro Amorim 2024-03-07 10:36:19 UTC Comment hidden (obsolete)
Comment 56 Pedro Amorim 2024-03-07 10:36:25 UTC Comment hidden (obsolete)
Comment 57 Pedro Amorim 2024-03-07 10:36:31 UTC Comment hidden (obsolete)
Comment 58 Pedro Amorim 2024-03-07 10:36:34 UTC Comment hidden (obsolete)
Comment 59 Pedro Amorim 2024-03-07 10:36:40 UTC Comment hidden (obsolete)
Comment 60 Pedro Amorim 2024-03-07 10:36:45 UTC Comment hidden (obsolete)
Comment 61 Pedro Amorim 2024-03-07 10:36:50 UTC Comment hidden (obsolete)
Comment 62 Pedro Amorim 2024-03-07 10:36:57 UTC Comment hidden (obsolete)
Comment 63 Pedro Amorim 2024-03-07 10:37:04 UTC Comment hidden (obsolete)
Comment 64 Pedro Amorim 2024-03-07 10:37:11 UTC Comment hidden (obsolete)
Comment 65 Pedro Amorim 2024-03-07 10:37:18 UTC Comment hidden (obsolete)
Comment 66 Pedro Amorim 2024-03-07 10:37:22 UTC Comment hidden (obsolete)
Comment 67 Pedro Amorim 2024-03-07 10:37:57 UTC
Rebased on bug 36245
Comment 68 Tomás Cohen Arazi 2024-03-25 13:27:39 UTC
Created attachment 163803 [details] [review]
Bug 35581: Koha::Illbackend -> Koha::ILL::Backend

Koha/Illbackend.pm -> Koha/ILL/Backend.pm
Koha/REST/V1/Illbackends.pm -> Koha/REST/V1/ILL/Backends.pm

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 69 Tomás Cohen Arazi 2024-03-25 13:27:49 UTC
Created attachment 163804 [details] [review]
Bug 35581: Koha::*Illbatch* -> Koha::*ILL::*Batch*

Koha/Illbatch.pm -> Koha/ILL/Batch.pm
Koha/Illbatches.pm -> Koha/ILL/Batches.pm
Koha/REST/V1/Illbatches.pm -> Koha/REST/V1/ILL/Batches.pm
t/db_dependent/Koha/Illbatch.t -> t/db_dependent/Koha/ILL/Batch.t
t/db_dependent/Illbatches.t -> t/db_dependent/Koha/ILL/Batches.t

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 70 Tomás Cohen Arazi 2024-03-25 13:27:55 UTC
Created attachment 163805 [details] [review]
Bug 35581: Illbatchstatus* -> ILL::Batch::Status*

Koha/IllbatchStatus.pm -> Koha/ILL/Batch/Status.pm
Koha/IllbatchStatuses.pm -> Koha/ILL/Batch/Statuses.pm
Koha/REST/V1/IllbatchStatuses.pm -> Koha/REST/V1/ILL/Batch/Statuses.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 71 Tomás Cohen Arazi 2024-03-25 13:28:12 UTC
Created attachment 163806 [details] [review]
Bug 35581: Koha::Illcomment* -> Koha::ILL::Comment*

Koha/Illcomment.pm -> Koha/ILL/Comment.pm
Koha/Illcomments.pm -> Koha/ILL/Comments.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 72 Tomás Cohen Arazi 2024-03-25 13:28:55 UTC
Created attachment 163807 [details] [review]
Bug 35581: Koha::Illrequestattribute* -> Koha::ILL::Request::Attribute*

Koha/Illrequestattribute.pm -> Koha/ILL/Request/Attribute.pm
Koha/Illrequestattributes.pm -> Koha/ILL/Request/Attributes.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 73 Tomás Cohen Arazi 2024-03-25 13:29:27 UTC
Created attachment 163808 [details] [review]
Bug 35581: Koha::Illrequest::Workflow* -> Koha::ILL::Request::Workflow*

Koha/Illrequest/Workflow.pm -> Koha/ILL/Request/Workflow.pm
Koha/Illrequest/Workflow/Availability.pm -> Koha/ILL/Request/Workflow/Availability.pm
Koha/Illrequest/Workflow/TypeDisclaimer.pm -> Koha/ILL/Request/Workflow/TypeDisclaimer.pm

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 74 Tomás Cohen Arazi 2024-03-25 13:30:09 UTC
Created attachment 163809 [details] [review]
Bug 35581: Koha::Illrequest::Config -> Koha::ILL::Request::Config

Signed-off-by: David Nind <david@davidnind.com>
Comment 75 Tomás Cohen Arazi 2024-03-25 13:30:54 UTC
Created attachment 163810 [details] [review]
Bug 35581: Koha::Illrequest::Logger -> Koha::ILL::Request::Logger

Signed-off-by: David Nind <david@davidnind.com>
Comment 76 Tomás Cohen Arazi 2024-03-25 13:31:44 UTC
Created attachment 163811 [details] [review]
Bug 35581: Koha::Illrequest::SupplierUpdate* -> Koha::ILL::Request::SupplierUpdate*

Koha/Illrequest/SupplierUpdate.pm -> Koha/ILL/Request/SupplierUpdate.pm
Koha/Illrequest/SupplierUpdateProcessor.pm -> Koha/ILL/Request/SupplierUpdateProcessor.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 77 Tomás Cohen Arazi 2024-03-25 13:32:23 UTC
Created attachment 163812 [details] [review]
Bug 35581: Koha::Illrequest -> Koha::ILL::Request

Koha/Illrequests.pm -> Koha/ILL/Requests.pm

Merged:
t/db_dependent/Koha/Illrequests.t
t/db_dependent/Illrequests.t

Into:
t/db_dependent/Koha/ILL/Requests.t

ILL classes file structure is, for the most part, around 7 years old and doesn't follow a strict logic. It's so confusing that some test files exist redundantly.

This housekeeping should help future work in regards to ISO18626 to add Koha as a supplying agency instead of just requesting agency, as is now.
It should also help future housekeeping of moving backend related logic out of the Illrequest.pm into Illbackend.pm (now ILL/Request.pm and ILL/Backend.pm as of this patchset).
It should also help in structuring the addition of a master generic form (see bug 35570)

This patchset will require existing backends to be updated to match the new class names and structure, if they invoke them.

Test plan, k-t-d, run tests:
prove t/db_dependent/api/v1/ill_*
prove t/db_dependent/Koha/ILL/*

Test plan, k-t-d, manual:
1) Install FreeForm, enable ILL module, run:
bash <(curl -s https://raw.githubusercontent.com/ammopt/koha-ill-dev/master/start-ill-dev.sh)
2) You'll have to switch the FreeForm repo to the one compatible with this work, like:
cd /kohadevbox/koha/Koha/Illbackends/FreeForm
git checkout reorganize_ILL
3) Do some generic ILL testing:
3.1) Create a request
3.2) Add a comment to a request
3.3) Edit a request
3.4) Edit a request's item metadata
3.5) Confirm a request
3.6) List requests
3.7) Filter requests list using left side filters
4) Install a metadata enrichment plugin:
https://github.com/PTFS-Europe/koha-plugin-api-pubmed
4.1) Create an ILL batch and insert a pubmedid like 123
4.2) Add the request and finish batch
5) Verify all of the above works as expected

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 78 Tomás Cohen Arazi 2024-03-25 13:32:57 UTC
Created attachment 163813 [details] [review]
Bug 35581: Koha::REST::V1::Illrequests -> Koha::REST::V1::ILL::Requests

Test plan:
1. Apply patch
2. Make sure tests pass, run:
    prove t/db_dependent/api/v1/ill_*

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 79 Tomás Cohen Arazi 2024-03-25 13:33:37 UTC
Created attachment 163814 [details] [review]
Bug 35581: Cleanup Comments.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 80 Tomás Cohen Arazi 2024-03-25 13:34:16 UTC
Created attachment 163815 [details] [review]
Bug 35581: (follow-up) Remove internal use of ->illrequestattributes

By now, we shouldn't be using the deprecated method internally.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 81 Tomás Cohen Arazi 2024-03-25 13:35:01 UTC
Created attachment 163816 [details] [review]
Bug 35581: POD fixes

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 82 Pedro Amorim 2024-03-28 16:00:03 UTC
Created attachment 164069 [details] [review]
Bug 35581: Koha::Illbackend -> Koha::ILL::Backend

Koha/Illbackend.pm -> Koha/ILL/Backend.pm
Koha/REST/V1/Illbackends.pm -> Koha/REST/V1/ILL/Backends.pm

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 83 Pedro Amorim 2024-03-28 16:00:07 UTC
Created attachment 164070 [details] [review]
Bug 35581: Koha::*Illbatch* -> Koha::*ILL::*Batch*

Koha/Illbatch.pm -> Koha/ILL/Batch.pm
Koha/Illbatches.pm -> Koha/ILL/Batches.pm
Koha/REST/V1/Illbatches.pm -> Koha/REST/V1/ILL/Batches.pm
t/db_dependent/Koha/Illbatch.t -> t/db_dependent/Koha/ILL/Batch.t
t/db_dependent/Illbatches.t -> t/db_dependent/Koha/ILL/Batches.t

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 84 Pedro Amorim 2024-03-28 16:00:10 UTC
Created attachment 164071 [details] [review]
Bug 35581: Illbatchstatus* -> ILL::Batch::Status*

Koha/IllbatchStatus.pm -> Koha/ILL/Batch/Status.pm
Koha/IllbatchStatuses.pm -> Koha/ILL/Batch/Statuses.pm
Koha/REST/V1/IllbatchStatuses.pm -> Koha/REST/V1/ILL/Batch/Statuses.pm

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 85 Pedro Amorim 2024-03-28 16:00:14 UTC
Created attachment 164072 [details] [review]
Bug 35581: Koha::Illcomment* -> Koha::ILL::Comment*

Koha/Illcomment.pm -> Koha/ILL/Comment.pm
Koha/Illcomments.pm -> Koha/ILL/Comments.pm

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 86 Pedro Amorim 2024-03-28 16:00:17 UTC
Created attachment 164073 [details] [review]
Bug 35581: Koha::Illrequestattribute* -> Koha::ILL::Request::Attribute*

Koha/Illrequestattribute.pm -> Koha/ILL/Request/Attribute.pm
Koha/Illrequestattributes.pm -> Koha/ILL/Request/Attributes.pm

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 87 Pedro Amorim 2024-03-28 16:00:21 UTC
Created attachment 164074 [details] [review]
Bug 35581: Koha::Illrequest::Workflow* -> Koha::ILL::Request::Workflow*

Koha/Illrequest/Workflow.pm -> Koha/ILL/Request/Workflow.pm
Koha/Illrequest/Workflow/Availability.pm -> Koha/ILL/Request/Workflow/Availability.pm
Koha/Illrequest/Workflow/TypeDisclaimer.pm -> Koha/ILL/Request/Workflow/TypeDisclaimer.pm

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 88 Pedro Amorim 2024-03-28 16:00:24 UTC
Created attachment 164075 [details] [review]
Bug 35581: Koha::Illrequest::Config -> Koha::ILL::Request::Config

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 89 Pedro Amorim 2024-03-28 16:00:28 UTC
Created attachment 164076 [details] [review]
Bug 35581: Koha::Illrequest::Logger -> Koha::ILL::Request::Logger

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 90 Pedro Amorim 2024-03-28 16:00:31 UTC
Created attachment 164077 [details] [review]
Bug 35581: Koha::Illrequest::SupplierUpdate* -> Koha::ILL::Request::SupplierUpdate*

Koha/Illrequest/SupplierUpdate.pm -> Koha/ILL/Request/SupplierUpdate.pm
Koha/Illrequest/SupplierUpdateProcessor.pm -> Koha/ILL/Request/SupplierUpdateProcessor.pm

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 91 Pedro Amorim 2024-03-28 16:00:35 UTC
Created attachment 164078 [details] [review]
Bug 35581: Koha::Illrequest -> Koha::ILL::Request

Koha/Illrequests.pm -> Koha/ILL/Requests.pm

Merged:
t/db_dependent/Koha/Illrequests.t
t/db_dependent/Illrequests.t

Into:
t/db_dependent/Koha/ILL/Requests.t

ILL classes file structure is, for the most part, around 7 years old and doesn't follow a strict logic. It's so confusing that some test files exist redundantly.

This housekeeping should help future work in regards to ISO18626 to add Koha as a supplying agency instead of just requesting agency, as is now.
It should also help future housekeeping of moving backend related logic out of the Illrequest.pm into Illbackend.pm (now ILL/Request.pm and ILL/Backend.pm as of this patchset).
It should also help in structuring the addition of a master generic form (see bug 35570)

This patchset will require existing backends to be updated to match the new class names and structure, if they invoke them.

Test plan, k-t-d, run tests:
prove t/db_dependent/api/v1/ill_*
prove t/db_dependent/Koha/ILL/*

Test plan, k-t-d, manual:
1) Install FreeForm, enable ILL module, run:
bash <(curl -s https://raw.githubusercontent.com/ammopt/koha-ill-dev/master/start-ill-dev.sh)
2) You'll have to switch the FreeForm repo to the one compatible with this work, like:
cd /kohadevbox/koha/Koha/Illbackends/FreeForm
git checkout reorganize_ILL
3) Do some generic ILL testing:
3.1) Create a request
3.2) Add a comment to a request
3.3) Edit a request
3.4) Edit a request's item metadata
3.5) Confirm a request
3.6) List requests
3.7) Filter requests list using left side filters
4) Install a metadata enrichment plugin:
https://github.com/PTFS-Europe/koha-plugin-api-pubmed
4.1) Create an ILL batch and insert a pubmedid like 123
4.2) Add the request and finish batch
5) Verify all of the above works as expected

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 92 Pedro Amorim 2024-03-28 16:00:38 UTC
Created attachment 164079 [details] [review]
Bug 35581: Koha::REST::V1::Illrequests -> Koha::REST::V1::ILL::Requests

Test plan:
1. Apply patch
2. Make sure tests pass, run:
    prove t/db_dependent/api/v1/ill_*

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 93 Pedro Amorim 2024-03-28 16:00:41 UTC
Created attachment 164080 [details] [review]
Bug 35581: Cleanup Comments.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 94 Pedro Amorim 2024-03-28 16:00:44 UTC
Created attachment 164081 [details] [review]
Bug 35581: (follow-up) Remove internal use of ->illrequestattributes

By now, we shouldn't be using the deprecated method internally.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 95 Pedro Amorim 2024-03-28 16:00:48 UTC
Created attachment 164082 [details] [review]
Bug 35581: POD fixes

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 96 Tomás Cohen Arazi 2024-04-01 11:40:45 UTC
\o/
Comment 97 Pedro Amorim 2024-04-03 15:39:49 UTC
./t/db_dependent/Illrequest directory still exists (it shouldn't after this work).
I don't want to add anything else here before this is pushed because it's long as  it is.
@Tomas, @Katrin add it here or handle this later? It's not critically important anyway.
Comment 98 Katrin Fischer 2024-04-03 15:42:25 UTC
(In reply to Pedro Amorim from comment #97)
> ./t/db_dependent/Illrequest directory still exists (it shouldn't after this
> work).
> I don't want to add anything else here before this is pushed because it's
> long as  it is.
> @Tomas, @Katrin add it here or handle this later? It's not critically
> important anyway.

I haven't had time to look here closely yet, leaving it to Tomas.